<?xml version="1.0" encoding="UTF-8"  ?>
<!-- Created with iReport - A designer for JasperReports -->
<!DOCTYPE jasperReport PUBLIC "//JasperReports//DTD Report Design//EN" "http://jasperreports.sourceforge.net/dtds/jasperreport.dtd">
<jasperReport
		 name="AccBuktiKasRekap"
		 columnCount="1"
		 printOrder="Vertical"
		 orientation="Portrait"
		 pageWidth="595"
		 pageHeight="842"
		 columnWidth="535"
		 columnSpacing="0"
		 leftMargin="30"
		 rightMargin="30"
		 topMargin="20"
		 bottomMargin="20"
		 whenNoDataType="NoPages"
		 isTitleNewPage="false"
		 isSummaryNewPage="false">
	<property name="ireport.zoom" value="1.2418426461183107" />
	<property name="ireport.x" value="0" />
	<property name="ireport.y" value="0" />
	<property name="ireport.scriptlethandling" value="0" />
	<property name="ireport.encoding" value="UTF-8" />
	<import value="java.util.*" />
	<import value="net.sf.jasperreports.engine.*" />
	<import value="net.sf.jasperreports.engine.data.*" />

	<parameter name="toko" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["Rejeki Makmur"]]></defaultValueExpression>
	</parameter>
	<parameter name="alamat1" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["Ruko Tidar Mas Square C16"]]></defaultValueExpression>
	</parameter>
	<parameter name="alamat2" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["Surabaya - 6102 - Indonesia"]]></defaultValueExpression>
	</parameter>
	<parameter name="telp" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["Ph. 08123123123, 031-30423123"]]></defaultValueExpression>
	</parameter>
	<parameter name="email" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["rejeki.makmur@yahoo.com"]]></defaultValueExpression>
	</parameter>
	<parameter name="tanggal1" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["2013-01-01"]]></defaultValueExpression>
	</parameter>
	<parameter name="tanggal2" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["2015-05-02"]]></defaultValueExpression>
	</parameter>
	<parameter name="tipe" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["BKM"]]></defaultValueExpression>
	</parameter>
	<queryString><![CDATA[select * from fn_rpt_acc_bukti_kas_detail($P{tanggal1}, $P{tanggal2}, $P{tipe}) as (tanggal date, no_bukti varchar, 
acc_no_header varchar, acc_header varchar, amount double precision, keterangan text, tipe text, dibayar_kepada varchar, 
acc_no_det varchar, acc_det varchar, amt_det double precision)]]></queryString>

	<field name="tanggal" class="java.sql.Date"/>
	<field name="no_bukti" class="java.lang.String"/>
	<field name="acc_no_header" class="java.lang.String"/>
	<field name="acc_header" class="java.lang.String"/>
	<field name="amount" class="java.lang.Double"/>
	<field name="keterangan" class="java.lang.String"/>
	<field name="tipe" class="java.lang.String"/>
	<field name="dibayar_kepada" class="java.lang.String"/>
	<field name="acc_no_det" class="java.lang.String"/>
	<field name="acc_det" class="java.lang.String"/>
	<field name="amt_det" class="java.lang.Double"/>

	<variable name="nomor" class="java.lang.Integer" resetType="Report" calculation="DistinctCount">
		<variableExpression><![CDATA[$F{no_bukti}]]></variableExpression>
		<initialValueExpression><![CDATA[new Integer(0)]]></initialValueExpression>
	</variable>
	<variable name="totPerAkun" class="java.lang.Double" resetType="Group" resetGroup="no_akun" calculation="Sum">
		<variableExpression><![CDATA[$F{amt_det}]]></variableExpression>
	</variable>
	<variable name="idxDet" class="java.lang.Integer" resetType="Group" resetGroup="no_akun" calculation="Count">
		<variableExpression><![CDATA[$F{no_bukti}]]></variableExpression>
	</variable>

		<group  name="no_akun" >
			<groupExpression><![CDATA[$F{acc_no_header}]]></groupExpression>
			<groupHeader>
			<band height="15"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="false" pattern="#,##0.00" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="0"
						y="0"
						width="534"
						height="15"
						key="textField-37"
						stretchType="RelativeToBandHeight"/>
					<box leftPadding="2" rightPadding="2">					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
					<rightPen lineWidth="0.0"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="9" isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{acc_header}]]></textFieldExpression>
				</textField>
			</band>
			</groupHeader>
			<groupFooter>
			<band height="26"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="false" pattern="#,##0" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="454"
						y="0"
						width="80"
						height="17"
						forecolor="#0000CC"
						key="textField-28"
						stretchType="RelativeToBandHeight"/>
					<box leftPadding="2" rightPadding="2">					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
					<rightPen lineWidth="0.0"/>
</box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font size="9" isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.Double"><![CDATA[$V{totPerAkun}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="#,##0" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="147"
						y="0"
						width="307"
						height="17"
						forecolor="#0000CC"
						key="textField-39"
						stretchType="RelativeToBandHeight"/>
					<box leftPadding="2" rightPadding="2">					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
					<rightPen lineWidth="0.0"/>
</box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font size="9" isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Total Per :"+$F{acc_header}]]></textFieldExpression>
				</textField>
			</band>
			</groupFooter>
		</group>
		<background>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</background>
		<title>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</title>
		<pageHeader>
			<band height="95"  isSplitAllowed="true" >
				<staticText>
					<reportElement
						x="13"
						y="80"
						width="60"
						height="15"
						forecolor="#000099"
						key="staticText-35"/>
					<box leftPadding="2" rightPadding="2">					<topPen lineWidth="0.0" lineStyle="Solid"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
					<rightPen lineWidth="0.0"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="9" isBold="true"/>
					</textElement>
				<text><![CDATA[Tgl. Transaksi]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="73"
						y="80"
						width="74"
						height="15"
						forecolor="#000099"
						key="staticText-36"/>
					<box leftPadding="2" rightPadding="2">					<topPen lineWidth="0.0" lineStyle="Solid"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
					<rightPen lineWidth="0.0"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="9" isBold="true"/>
					</textElement>
				<text><![CDATA[No. Bukti]]></text>
				</staticText>
				<textField isStretchWithOverflow="false" pattern="" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="375"
						y="80"
						width="79"
						height="15"
						forecolor="#000099"
						key="textField-34"
						stretchType="RelativeToBandHeight"/>
					<box leftPadding="2" rightPadding="2">					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
					<rightPen lineWidth="0.0"/>
</box>
					<textElement textAlignment="Left" verticalAlignment="Middle">
						<font size="9" isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[($P{tipe}.equalsIgnoreCase( "BKM" )? "Terima Dari ": "Dibayar Kepada")]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="0"
						y="0"
						width="535"
						height="24"
						key="textField"/>
					<box></box>
					<textElement verticalAlignment="Middle">
						<font fontName="Tahoma"  size="14" isBold="false"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$P{toko}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="58"
						y="40"
						width="477"
						height="16"
						key="textField-23"/>
					<box>					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
</box>
					<textElement textAlignment="Left" verticalAlignment="Middle">
						<font isBold="true" isUnderline="false"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$P{tanggal1}.substring(8,10)+ $P{tanggal1}.substring(4,7)+'-'+$P{tanggal1}.substring(0,4)]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement
						x="0"
						y="40"
						width="58"
						height="16"
						key="staticText-33"/>
					<box></box>
					<textElement>
						<font isBold="true"/>
					</textElement>
				<text><![CDATA[Per Tgl. :]]></text>
				</staticText>
				<textField isStretchWithOverflow="false" pattern="" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="0"
						y="24"
						width="535"
						height="16"
						key="textField-36"
						stretchType="RelativeToBandHeight"/>
					<box rightPadding="2">					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
					<rightPen lineWidth="0.0"/>
</box>
					<textElement textAlignment="Left" verticalAlignment="Middle">
						<font size="11" isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Ringkasan " +"Bukti Kas/ Bank "+ ($P{tipe}.equalsIgnoreCase( "BKM" )?"Masuk": "Keluar") ]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement
						x="454"
						y="80"
						width="81"
						height="15"
						forecolor="#000099"
						key="staticText-38"/>
					<box leftPadding="2" rightPadding="2">					<topPen lineWidth="0.0" lineStyle="Solid"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
					<rightPen lineWidth="0.0"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="9" isBold="true"/>
					</textElement>
				<text><![CDATA[Jumlah]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="147"
						y="80"
						width="228"
						height="15"
						forecolor="#000099"
						key="staticText-39"/>
					<box leftPadding="2" rightPadding="2">					<topPen lineWidth="0.0" lineStyle="Solid"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
					<rightPen lineWidth="0.0"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="9" isBold="true"/>
					</textElement>
				<text><![CDATA[Keterangan]]></text>
				</staticText>
			</band>
		</pageHeader>
		<columnHeader>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnHeader>
		<detail>
			<band height="15"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="false" pattern="" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="147"
						y="0"
						width="228"
						height="15"
						key="textField-9"
						stretchType="RelativeToBandHeight"/>
					<box leftPadding="2" rightPadding="2">					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
					<rightPen lineWidth="0.0"/>
</box>
					<textElement textAlignment="Left" verticalAlignment="Middle">
						<font  size="9" isBold="false"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{keterangan}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="dd/MM/yy" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="13"
						y="0"
						width="60"
						height="15"
						key="textField-30"
						stretchType="RelativeToBandHeight"/>
					<box leftPadding="2" rightPadding="2">					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
					<rightPen lineWidth="0.0"/>
</box>
					<textElement verticalAlignment="Middle">
						<font  size="9" isBold="false"/>
					</textElement>
				<textFieldExpression   class="java.util.Date"><![CDATA[$F{tanggal}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="#,##0.00" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="73"
						y="0"
						width="74"
						height="15"
						key="textField-31"
						stretchType="RelativeToBandHeight"/>
					<box leftPadding="2" rightPadding="2">					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
					<rightPen lineWidth="0.0"/>
</box>
					<textElement verticalAlignment="Middle">
						<font  size="9" isBold="false"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{no_bukti}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="#,##0" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="454"
						y="0"
						width="80"
						height="14"
						key="textField-24"
						stretchType="RelativeToBandHeight"/>
					<box leftPadding="2" rightPadding="2">					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
					<rightPen lineWidth="0.0"/>
</box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font size="9" isBold="false"/>
					</textElement>
				<textFieldExpression   class="java.lang.Double"><![CDATA[$F{amt_det}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="375"
						y="0"
						width="79"
						height="15"
						key="textField-38"
						stretchType="RelativeToBandHeight"/>
					<box leftPadding="2" rightPadding="2">					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
					<rightPen lineWidth="0.0"/>
</box>
					<textElement textAlignment="Left" verticalAlignment="Middle">
						<font  size="9" isBold="false"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{dibayar_kepada}]]></textFieldExpression>
				</textField>
			</band>
		</detail>
		<columnFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnFooter>
		<pageFooter>
			<band height="24"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="375"
						y="0"
						width="79"
						height="16"
						key="textField"/>
					<box></box>
					<textElement textAlignment="Right">
						<font size="9"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Page "+$V{PAGE_NUMBER}+" of"]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Report" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="454"
						y="0"
						width="81"
						height="16"
						key="textField"/>
					<box></box>
					<textElement>
						<font size="9"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[" " + $V{PAGE_NUMBER}]]></textFieldExpression>
				</textField>
			</band>
		</pageFooter>
		<summary>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</summary>
</jasperReport>
